/*		@(#)dial.h	1.1 Stellar 89/02/09	*/
/*
			Copyright 1989 by
			Stellar Computer Inc.
			All Rights Reserved
	
	This software comprises unpublished confidential information of
	Stellar Computer Inc. and may not be used, copied or made
	available to anyone, except in accordance with the license
	under which it is furnished.
*/
/*
 * LUI Dial header
 */

#ifndef _LUI_DIAL_HEADER

/* Needed for Dial Box header */
#include "label.h"

#ifdef LUI_DIAL_DECLARE
# define LUI_DIAL_GLOBAL  /* */
# define LUI_DIAL_INIT(v) = v
#else
# define LUI_DIAL_GLOBAL  extern
# define LUI_DIAL_INIT(v) /* */
#endif

#define LUI_DIAL_X_SIZE      90
#define LUI_DIAL_Y_SIZE     110
#define LUI_DIAL_XOFF        -6
#define LUI_DIAL_YOFF         6
#define LUI_DIAL_PIXMAP_IN   "LUI_Pixmap/LUI_Dial.PixmapIn"
#define LUI_DIAL_PIXMAP_OUT  "LUI_Pixmap/LUI_Dial.PixmapOut"

#define LUI_DIAL_VALUATOR    0
#define LUI_DIAL_ACCUMULATOR 1

#define LUI_DIAL_INACTIVE    0
#define LUI_DIAL_ACTIVE      1

typedef struct lui_dial {
    char           label[64];
    int            type;
    int            state;
    Window         window;
    int            x, y;
    int            width, height;
    int            ((*func)());
    float	   low, high, init, value, last_angle;
    Pixmap         pixmap_out, pixmap_in;
    struct lui_dial_box *dial_box;
    struct lui_dial *np;
} LUI_DIAL;

typedef struct lui_dial_box {
    char           name[64];
    int            label_x, label_y;
    Window         window;
    Window         label_window;
    LUI_DIAL      *dial_head;
    int            x, y;
    int            width, height;
    int            win_x, win_y;
    int            win_width, win_height;
    int            border_size;
    int            visible, hiding;
    LUI_LABEL     *label;
    char          *label_text[2];
    struct lui_dial_box *np;
} LUI_DIAL_BOX;

LUI_DIAL_GLOBAL LUI_DIAL_BOX 
  *LUI_DialBoxHead LUI_DIAL_INIT ( NULL), 
  *LUI_DialBox     LUI_DIAL_INIT ( NULL );

LUI_DIAL_GLOBAL int 
  LUI_DialBoxX, LUI_DialBoxY, 
  LUI_DialBoxWidth, LUI_DialBoxHeight;

LUI_DIAL_GLOBAL LUI_DIAL 
  *LUI_DialHead LUI_DIAL_INIT ( NULL );

LUI_DIAL_GLOBAL Window
  LUI_DialBoxWindow;

LUI_DIAL 
  *LUI_DialLookupWindow();

LUI_DIAL_BOX 
  *LUI_DialBoxLookup(),
  *LUI_DialBoxLookupName();

#endif  _LUI_DIAL_HEADER
#define _LUI_DIAL_HEADER 1
